=== nscgi/Makefile ===

#
# Module name
#
MOD      =  nscgi.so

#
# Objects to build
#
OBJS     =  nscgi.o

include  ../include/Makefile.module
