=== nscp/Makefile ===

#
# Module name
#
MOD      =  nscp.so

#
# Objects to build.
#
OBJS     =  nscp.o


include  ../include/Makefile.module
