=== nsexample/Makefile ===
#
# $Header: /cvsroot/aolserver/aolserver3/nsexample/Makefile,v 1.2 2000/03/17 07:36:38 kriston Exp $
#
# nsexample --
#
#      Example AOLserver module Makefile.
#

#
# Module name
#
MOD      =  nsexample.so

#
# Objects to build
#
OBJS     =  nsexample.o

#
# Header files
#
HDRS     =  

#
# Extra libraries
#
MODLIBS  =  

#
# Compiler flags
#
CFLAGS   =  


include  ../include/Makefile.module
