=== nsext/Makefile ===

#
# Module name
#
MOD       =  nsext.so

#
# Objects to build.
#
OBJS      =  nsext.o nsextmsg.o

#
# Header files
#
HDRS      =  nsextmsg.h


include  ../include/Makefile.module
