=== nspostgres/Makefile ===

#
# Module name
#
MOD       =  nspostgres.so

#
# Objects to build.
#
OBJS      =  nspostgres.o

#
# Extra libraries
#
POSTGRES  =  /usr/include/postgresql
MODLIBS   =  -L$(POSTGRES)/lib -lpq -lcrypt 

#
# Extra compiler flags
#
CFLAGS    =  -I$(POSTGRES)


include ../include/Makefile.module
