=== nssock/Makefile ===

#
# Module name
#
MOD       =  nssock.so

#
# Objects to build.
#
OBJS      =  nssock.o


include  ../include/Makefile.module
