=== nssolid/Makefile ===

#
# Module name
#
MOD       =  nssolid.so

#
# Objects to build.
#
OBJS      =  nssolid.o

#
# Header files
#
HDRS      =  

#
# Extra libraries
#
MODLIBS   =  $(SOLID)/lib/libcli.a

#
# Extra compiler flags
#
CFLAGS    =  -I$(SOLID)/include


include ../include/Makefile.module
