=== debian/changelog ===
aolserver (3.0rc2-4) frozen unstable; urgency=high

  * Many additional bug fixes based on reports from jtr...
  * Fixes some postgres 6.5/7.0 stuff.  Closes:Bug#63151
  * Correct aolserver-postgres postrm.  Closes:Bug#63152
  * Correct purging issues in postrm.   Closes:Bug#63153
  * Fixes broken aolpgcofig.  Closes:Bug#63281

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 30 Apr 2000 16:43:11 -0800

aolserver (3.0rc2-3) frozen unstable; urgency=high

  * A special bug-fix award should go to Joachim R. <jtr@uni-bonn.de>
    for fixing the following two bugs in my work:
  * Fixes broken adduser in preinst.  Closes:Bug#62965
  * Fixes aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX (for createuser activities)
    Closes:Bug#62966

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 24 Apr 2000 19:15:21 -0800

aolserver (3.0rc2-2) frozen unstable; urgency=high

  * Fixes broken naming convention.  Closes:Bug#62632
  * Make better use of Tcl features of nsd.tcl files to minimize
    string substitution requirements
  * Fixes to aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Apr 2000 13:40:32 -0800

aolserver (3.0rc2-1) frozen unstable; urgency=high

  * Release candidate 2 -- Moves Debian fixes into upstream source.
  * Upgrade/enhanced postgres driver sources
  * Better handling of postgres.init modifications
  * Fixes abort problem when accessing certain directories with Tcl
  * Fix to keepalive code that stomps out a race condition
  * "ADP" is the standard scripting tag (rather than fancy).
  * Add a dependency for aolserver-postgres on aolserver.  Duh!  Closes:Bug#62075

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 9 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-3) frozen unstable; urgency=high

  * Corrects a typo in aolserver-postgres.postinst.
  * Corrects an unneeded dependency in aoladddb that prevented it from running
    on systems that did not have libpgperl.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 5 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-2) frozen unstable; urgency=high

  * Corrects an update bug in aolserver-postgres

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 3 Apr 2000 20:15:32 -0800

aolserver (3.0rc1-1) unstable; urgency=high

  * This marks the official Release Candidate 1 (plus patches).
  * Correctly handle AOLserver permissions.  Closes:Bug#61361
  * Better configuration scripts and corrected some problems with
    the pre/post remove handling.  This was a problem based on some
    feedback I received via E-mail (but no bug report filed).
  * The postgres module has been moved to its own package.  This forced
    me to notice that the postgres module had never worked properly.  Now
    it does.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 1 Apr 2000 19:45:32 -0800

aolserver (3.0c-4) frozen unstable; urgency=high

  * Correct SPARC build problem (Thanks to Ben Collins)  Closes:Bug#59435

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 3 Feb 2000 18:45:36 -0800

aolserver (3.0c-3) frozen unstable; urgency=high

  * Remove architecture line from control -- this package is
    (theoretically) architecture-independent.  Closes:Bug#58869

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 29 Feb 2000 20:25:36 -0800

aolserver (3.0c-2) frozen unstable; urgency=high

  * Remove reference to unneeded dqd_tclpages.so module (it's now part
    of the stock server build).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 23 Feb 2000 20:25:36 -0800

alserver (3.0c-1) frozen unstable; urgency=high

  * Well, it didn't take long for a new release to come out.  Here it is.
  * Fixed a build dependency, Closes:Bug#58064
  * The changes I made to the source seem to have fixed the aolserver
    build issue on Alpha.  It builds properly, but may not run (I can't
    tell since I don't have access to an alpha.  I'm closing the bug,
    since the filer hasn't responded and it fixes the "build" bug.  We
    can always file a new "runs" bug.  Closes:Bug#55228

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 18 Feb 2000 23:25:36 -0800

aolserver (3.0b-1) frozen unstable; urgency=high

  * Fix startup bug that prevented it from running properly
    in some linux installations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 11 Feb 2000 22:15:19 -0800

aolserver (3.0a-2) frozen unstable; urgency=high

  * Fix bug in install script where install failed if no /var/www
    directory existed.
  * Added build dependency for sharutils, Closes:Bug#55418
  * Using new AOLserver branding for logo.
  * Updated aolsrvconfig script so it enters a password value for the
    control port.  This lessens a potential security threat.
  * Fix to allow compilation under Alpha architecture.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Jan 2000 11:15:19 -0800

aolserver (3.0a-1) unstable; urgency=low

  * Major new beta release.  See the changelog for details,
    but suffice it to say that it has some efficiency improvements,
    bugfixes, and revisions.
  * We are now at Tcl 8.2.3 -- but it's still a private version due
    to a few threading issues in "plain" Tcl.  The goal is to
    be using "plain" Tcl soon.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 11 Jan 2000 21:00:19 -0800

aolserver (3.0-4) unstable; urgency=low

  * Added patch by Rob Mayoff <mayoff@dqd.com> to enable the parsing
    of tcl scripts within the AOLserver process.  This should help get 
    some things (like ACS) working.
  * Sometimes AOLserver says it didn't start on system boot.  It actually
    does start, but I had the wrong field in a 'cut' statement.  This
    should work now.
  * I added a fun little example (from the AOLserver Tcl docs) to the
    example webpage.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 8 Jan 2000 19:18:09 -0800

aolserver (3.0-3) unstable; urgency=low

  * Changed aolsrvcfg script to actually modify the /etc/aolserver/nsd.tcl

