=== debian/control ===
Source: aolserver
Section: web
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 2.4.0.0
Build-Depends: postgresql-dev, sharutils, perl5

Package: aolserver
Architecture: any
Depends: ${shlibs:Depends}, mime-support, perl5
Suggests: aolserver-doc, aolserver-postgres, acs-pg
Provides: httpd
Priority: optional
Description: AOL Web Server 
 This is the web engine that powers the mighty America On-Line.  It
 is capable of serving a tremendous number of users, and can publish
 hundreds of virtual servers within the same process at the same time.
 .
 It is similar in many respects to Zope, except based largely on Tcl.
 It is multi-threaded, and has a C API that can be used to extend
 its functionality.
 .
 The Debian release of this package has been configured to work 
 with the PostgreSQL DBMS.  

Package: aolserver-postgres
Architecture: any
Depends: ${shlibs:Depends}, perl5, postgresql, aolserver
Suggests: acs-pg
Priority: optional
Description: PostgreSQL Driver for the AOLserver
 This is the PostgreSQL database driver for the AOLserver.  It has
 been moved to its own package to facilitate future releases of
 other database drivers.

Package: aolserver-doc
Architecture: all
Recommends: www-browser
Suggests: aolserver
Priority: optional
Description: AOL Web Server (Documentation) 
 This package contains three reference manuals relating to AOLserver.
 The manuals document Version 3.0 of AOLserver.
 .
 (1)  The AOLserver Administrator's Guide covers the setup options
      and security issues relating to running the server.
 (2)  The AOLserver Tcl Developer's Guide covers the Tcl API which
      can be used to add features to your web pages (similar in
      some respects to PHP or Microsoft's ASP)
 (3)  The AOLserver C Developer's Guide covers the C API which can
      be used to create new modules to extend AOLserver.
 .
 I plan to add some example pages in the future.
