=== nscgi/Makefile ===

NSHOME   =  ..

#
# Module name
#
MOD      =  nscgi.so

#
# Objects to build
#
OBJS     =  nscgi.o

include  $(NSHOME)/include/Makefile.module
