=== nscp/Makefile ===

NSHOME   =  ..

#
# Module name
#
MOD      =  nscp.so

#
# Objects to build.
#
OBJS     =  nscp.o


include  $(NSHOME)/include/Makefile.module
