=== nsext/Makefile ===

NSHOME    =  ..

#
# Module name
#
MOD       =  nsext.so

#
# Objects to build.
#
OBJS      =  nsext.o nsextmsg.o

#
# Header files
#
#  Note: nsextmsg.h lives in AOLserver's include directory
#
HDRS      =  $(NSHOME)/include/nsextmsg.h


include  $(NSHOME)/include/Makefile.module
