=== nslog/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+
+NSHOME   =  ..
 
 #
 # Module name
@@ -23,7 +25,7 @@
 #         Makefile.module is usually all you will ever need.
 #
 
-include ../include/Makefile.global
+include $(NSHOME)/include/Makefile.global
 
 all: $(MOD)
