=== nspd/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
-include ../include/Makefile.global
+NSHOME     =  ..
+
+include $(NSHOME)/include/Makefile.global
 
 #
 # Specify the name of the library.
@@ -12,7 +14,7 @@
 #
 
 OBJS       =  listen.o log.o main.o
-NSEXTMSG   =  ../nsext/nsextmsg.o
+NSEXTMSG   =  $(NSHOME)/nsext/nsextmsg.o
 
 #
 # Link the objects into a library.
@@ -25,9 +27,11 @@
 
 
 #
-# Installation (empty rule)
+# Installs to the lib/ directory of the binary distribution.
 #
-install:
+install: all
+	$(RM) $(INSTLIB)/libnspd.a
+	$(CP) libnspd.a $(INSTLIB)
 
 
 #
