=== nsperm/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #     modules/tcl/nsperm
 #     servers/server1/modules/nsperm
 #
+
+NSHOME   =  ..
 
 #
 # Module name
@@ -30,7 +32,7 @@
 #         Makefile.module is usually all you will ever need.
 #
 
-include ../include/Makefile.global
+include $(NSHOME)/include/Makefile.global
 
 all: $(MOD)
