=== nssock/Makefile ===
#
# Stub to include nsssl or nssock makefile.
#

all:
	$(MAKE) -f Makefile.sock
	$(MAKE) -f Makefile.ssl

install:
	$(MAKE) -f Makefile.sock install
	$(MAKE) -f Makefile.ssl install

clean:
	$(MAKE) -f Makefile.sock clean
	$(MAKE) -f Makefile.ssl clean
